/*!
* @file HaveSize.cpp
* @brief サイズ保持要素を定義する
* @date 2014/06/19
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "HaveSize.h"

namespace Deeangband
{
	HaveSize::HaveSize(void)
	{
		this->WipeData();
		return;
	}

	HaveSize::~HaveSize(void)
	{
		this->WipeData();
		return;
	}

	void HaveSize::WipeData(void)
	{
		this->height = 1.00f;
		this->weight = 1.00f;
		return;
	}

	HEIGHT HaveSize::GetHeight(void)
	{
		return this->height;
	}

	WEIGHT HaveSize::GetWeight(void)
	{
		return this->weight;
	}

	BODY_SIZE HaveSize::GetSize(void)
	{
		return (BODY_SIZE)(sqrt((double)this->height * (double)this->weight) / 10.0f);
	}

}